Bug 229025 - devel/gdcm: Fails to build with OpenSSL 1.1
Summary: devel/gdcm: Fails to build with OpenSSL 1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Stephen Montgomery-Smith
URL:
Keywords:
Depends on:
Blocks: 228865
  Show dependency treegraph
 
Reported: 2018-06-14 20:13 UTC by Bernard Spil
Modified: 2018-12-13 06:29 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-06-14 20:13:47 UTC
> Source/Common/gdcmOpenSSLP7CryptographicMessageSyntax.cxx:288:18: error: variable has incomplete type 'X509_STORE_CTX' (aka 'x509_store_ctx_st')

During BSDCan 2018 the intention to update OpenSSL in base to 1.1.x branch was documented.

Intention is to update 12-STABLE to current 1.1.0 and subsequently update it to 1.1.1 when that is released. The intent to update OpenSSL to 1.1 in 12 has now officially been documented in Bug #228912 

Poudriere log: https://keg.brnrd.eu/data/111amd64-default-openssl110/2018-06-11_10h42m37s/logs/errors/gdcm-2.6.3_2.log
Comment 1 Tobias Kortkamp freebsd_committer 2018-12-13 06:29:13 UTC
devel/gdcm seems to build fine with OpenSSL 1.1.1 now after ports r484822.

http://beefy11.nyi.freebsd.org/data/head-i386-default/p485718_s340864/logs/gdcm-2.8.8.log

Assign to committer who resolved.